package com.muyu.vehicle.gateway.aliyun.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 实例属性信息
 *
 * @author LiHD
 * @ClassName InstanceInformation
 * @Date 2024/10/2
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class InstanceInformation {
    /**
     * 实例ID
     */
    private String InstanceId;
    /**
     * 实例IP
     */
    private String IpAddress;
    /**
     * 实例状态
     */
    private String Status;
}
