package com.muyu.vehicle.gateway.vehicle.domain;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆连接请求对象
 *
 * @author LiHD
 * @ClassName VehicleConnectionReq
 * @Date 2024/10/6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class VehicleConnectionReq {
    /**
     * id
     */
    private Integer id;
    /**
     * 车辆vin码
     */
    private String vehicleVin;
    /**
     *时间戳
     */
    private String timestamp;
    /**
     * 随机字符串
     */
    private String nonce;
    /**
     * 密码
     */
    private String password;
}
