package com.muyu.vehicle.gateway.aliyun.controller;

import com.muyu.vehicle.gateway.aliyun.service.InstanceService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;

/**
 * ECS实例 控制器
 *
 * @author LiHD
 * @ClassName InstanceController
 * @Date 2024/9/29 22:04
 */
@Log4j2
@RestController
@RequestMapping("/instance")
public class InstanceController {

    @Autowired
    private InstanceService instanceService;

    /**
     * 创建实例
     */
//    @PostConstruct
    public void createInstance(){
        instanceService.createInstance();
    }

    /**
     * 清理实例
     */
//    @PreDestroy
    public void cleanInstance(){
        instanceService.cleanInstance();
    }

}
