package com.muyu.vehicle.gateway.vehicle.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * MQTT服务节点模型
 *
 * @author LiHD
 * @ClassName MqttServerModel
 * @Date 2024/10/6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MqttServerModel {
    /**
     * MQTT服务节点
     */
    private String broker;

    /**
     * MQTT订阅主题
     */
    private String topic;
}
